{
  "version": "0.1.0",
  "private": true,
  "engines": {
    "node": "^16",
    "npm": "^8.0.0"
  },
  "scripts": {
    "dev": "next dev",
    "build": "npm run build:images && npm run build:web && npm run build:calendar",
    "build:images": "ts-node ./scripts/optimize-images",
    "build:web": "next build",
    "build:calendar": "ts-node ./scripts/generate-calendar",
    "start": "next start",
    "export": "next export",
    "lint": "eslint \"{pages,components,lib,hooks,scripts}/**/*.{js,ts,tsx,jsx}\" --quiet",
    "lint:fix": "eslint \"{pages,components,lib,hooks,scripts}/**/*.{js,ts,tsx,jsx}\" --quiet --fix",
    "check-lockfile": "ts-node ./scripts/check-lockfile"
  },
  "dependencies": {
    "@mdx-js/loader": "^1.6.22",
    "@mdx-js/react": "^1.6.22",
    "@next/mdx": "11.1.3",
    "@squoosh/lib": "^0.4.0",
    "date-fns": "^2.11.1",
    "date-fns-tz": "^1.1.6",
    "fs-extra": "^10.0.0",
    "image-size": "^1.0.0",
    "ldapts": "^3.1.0",
    "markdown-truncate": "^1.0.4",
    "next": "11.0.1",
    "next-mdx-remote": "3.0.4",
    "prettier": "^2.3.0",
    "react": "17.0.2",
    "react-dom": "17.0.2",
    "remark": "^12.0.0",
    "remark-html": "^12.0.0"
  },
  "devDependencies": {
    "@types/fs-extra": "^9.0.13",
    "@types/mdx-js__react": "^1.5.3",
    "@types/node": "^16.9.1",
    "@types/react": "^17.0.14",
    "@typescript-eslint/eslint-plugin": "4.28.4",
    "@typescript-eslint/parser": "4.28.4",
    "eslint": "7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.24.0",
    "eslint-plugin-prettier": "^3.4.0",
    "eslint-plugin-react": "7.24.0",
    "eslint-plugin-react-hooks": "^4.2.0",
    "gray-matter": "^4.0.3",
    "ical-generator": "^3.0.0",
    "postcss": "^8.3.0",
    "postcss-calc": "^8.0.0",
    "postcss-flexbugs-fixes": "^5.0.2",
    "postcss-preset-env": "^7.0.0",
    "ts-node": "^10.2.1",
    "typescript": "4.3.5"
  }
}
